#include "monitor.h"

namespace NWebmaster {

TMonitor::TMonitor()
    : LinksReportSuccess("Links_HReportSuccess")
    , LinksReportFailed("Links_HReportFailed")
{
}

void TMonitor::Upload() {
    TMonitoringAgent<> agent;

    agent
        .Next(LinksReportSuccess)
        .Next(LinksReportFailed)
        .GlobalDerived()
        .Commit();
}

} //namespace NWebmaster
